Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl
Class SolverBenchmark

    java.lang.Object
      org.optaplanner.benchmark.impl.SolverBenchmark

    public class SolverBenchmark

extends Object

Represents 1 `Solver` configuration benchmarked on multiple problem instances (data sets).

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`SolverBenchmark(DefaultPlannerBenchmark plannerBenchmark)`

Method Summary
`void` | `benchmarkingEnded()`
`void` | `benchmarkingStarted()`
`protected void` | `determineStandardDeviation()`
`protected void` | `determineTotalsAndAverages()`
`SingleBenchmark` | `findSingleBenchmark(ProblemBenchmark problemBenchmark)`
`Long` | `getAverageAverageCalculateCountPerSecond()`
`Score` | `getAverageScore()`
`Score` | `getAverageWinningScoreDifference()`
`ScoreDifferencePercentage` | `getAverageWorstScoreDifferencePercentage()`
`int` | `getFailureCount()`
`String` | `getName()`
`String` | `getNameWithFavoriteSuffix()`
`List<ProblemBenchmark>` | `getProblemBenchmarkList()`
`Integer` | `getRanking()`
`List<Score>` | `getScoreList()`
`List<SingleBenchmark>` | `getSingleBenchmarkList()`
`SolverConfig` | `getSolverConfig()`
`String` | `getSolverConfigAsHtmlEscapedXml()`
`String` | `getStandardDeviationString()`
`int` | `getSuccessCount()`
`Score` | `getTotalScore()`
`Score` | `getTotalWinningScoreDifference()`
`boolean` | `hasAnyFailure()`
`boolean` | `hasAnySuccess()`
`boolean` | `isFavorite()`
`void` | `setName(String name)`
`void` | `setProblemBenchmarkList(List<ProblemBenchmark> problemBenchmarkList)`
`void` | `setRanking(Integer ranking)`
`void` | `setSingleBenchmarkList(List<SingleBenchmark> singleBenchmarkList)`
`void` | `setSolverConfig(SolverConfig solverConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### SolverBenchmark

    public SolverBenchmark(DefaultPlannerBenchmark plannerBenchmark)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getSolverConfig

    public SolverConfig getSolverConfig()

### setSolverConfig

    public void setSolverConfig(SolverConfig solverConfig)

### getProblemBenchmarkList

    public List<ProblemBenchmark> getProblemBenchmarkList()

### setProblemBenchmarkList

    public void setProblemBenchmarkList(List<ProblemBenchmark> problemBenchmarkList)

### getSingleBenchmarkList

    public List<SingleBenchmark> getSingleBenchmarkList()

### setSingleBenchmarkList

    public void setSingleBenchmarkList(List<SingleBenchmark> singleBenchmarkList)

### getFailureCount

    public int getFailureCount()

### getTotalScore

    public Score getTotalScore()

### getTotalWinningScoreDifference

    public Score getTotalWinningScoreDifference()

### getAverageWorstScoreDifferencePercentage

    public ScoreDifferencePercentage getAverageWorstScoreDifferencePercentage()

### getAverageAverageCalculateCountPerSecond

    public Long getAverageAverageCalculateCountPerSecond()

### getRanking

    public Integer getRanking()

### setRanking

    public void setRanking(Integer ranking)

### getNameWithFavoriteSuffix

    public String getNameWithFavoriteSuffix()

### benchmarkingStarted

    public void benchmarkingStarted()

### benchmarkingEnded

    public void benchmarkingEnded()

### determineTotalsAndAverages

    protected void determineTotalsAndAverages()

### determineStandardDeviation

    protected void determineStandardDeviation()

### getSuccessCount

    public int getSuccessCount()

### hasAnySuccess

    public boolean hasAnySuccess()

### hasAnyFailure

    public boolean hasAnyFailure()

### isFavorite

    public boolean isFavorite()

### getAverageScore

    public Score getAverageScore()

### getStandardDeviationString

    public String getStandardDeviationString()

### getAverageWinningScoreDifference

    public Score getAverageWinningScoreDifference()

### getScoreList

    public List<Score> getScoreList()

### findSingleBenchmark

    public SingleBenchmark findSingleBenchmark(ProblemBenchmark problemBenchmark)

  Parameters:
    `problemBenchmark` - never null
  Returns:
    sometimes null

### getSolverConfigAsHtmlEscapedXml

    public String getSolverConfigAsHtmlEscapedXml()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.